| GET | /RestApi/comments-api/comments/count |
|---|
import Foundation
import ServiceStack
public class CommentsCountGetRequest : Codable
{
public var threadKey:[String]
public var status:[String]
required public init(){}
}
public class CollectionResponse<T : Codable> : Codable
{
public var totalCount:Int
public var items:[CommentResponse]
required public init(){}
}
public class CommentResponse : Codable
{
public var key:String
public var name:String
public var message:String
public var dateCreated:Date
public var profilePictureUrl:String
public var profilePictureThumbnailUrl:String
public var status:String
public var email:String
public var threadKey:String
public var authorIpAddress:String
public var customData:String
public var rating:Double?
required public init(){}
}
Swift CommentsCountGetRequest DTOs
To override the Content-type in your clients, use the HTTP Accept Header, append the .csv suffix or ?format=csv
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
GET /RestApi/comments-api/comments/count HTTP/1.1 Host: www.imglobal.com Accept: text/csv
HTTP/1.1 200 OK
Content-Type: text/csv
Content-Length: length
{"TotalCount":0}